=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-rsp-z64/releases \
	/mupen64plus/mupen64plus-rsp-z64/releases/download/[^/]+/mupen64plus-rsp-z64-src-(.*\d).tar.gz
