=== debian/changelog ===
mupen64plus-rsp-z64 (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:02 +0100
