=== debian/changelog ===
mupen64plus-rsp-z64 (2.5.9+10+ga7bf40f-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:05:24 +0100

mupen64plus-rsp-z64 (2.5.9+10+ga7bf40f-1) unstable; urgency=medium

  * Upload to unstable
  * New Upstream Snapshot from a7bf40f67fc0afe340d0a396edc21c117b69ab3f

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 11:43:20 +0100

mupen64plus-rsp-z64 (2.0.0+12+g5a0a580-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
  * Remove overrides for unsupported no-upstream-changelog lintian tag

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:55:14 +0100
