=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-rsp-z64.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-rsp-z64
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
- libmupen64plus-dev (>= 1.99.5),
+ debhelper-compat (= 13),
+ libmupen64plus-dev,
 
 Package: mupen64plus-rsp-z64
 Architecture: any-amd64 any-i386
