## mupen64plus-rsp-z64 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -121,6 +121,14 @@
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
+ifeq ($(HLEVIDEO), 1)
+  CFLAGS += -DVIDEO_HLE_ALLOWED
+  POSTFIX = -hlevideo
+endif
+
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX)
+
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall
@@ -134,11 +142,6 @@
   CFLAGS += -fPIC
 else
   CFLAGS += -fno-PIC
-endif
-
-ifeq ($(HLEVIDEO), 1)
-  CFLAGS += -DVIDEO_HLE_ALLOWED
-  POSTFIX = -hlevideo
 endif
 
 ifeq ($(BIG_ENDIAN), 1)
@@ -258,9 +261,6 @@
 ifeq ($(PLUGINDIR),)
   PLUGINDIR := $(LIBDIR)/mupen64plus
 endif
-
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
 
 # list of source files to compile
 SOURCE = \
